package cn.com.ctop.bytedance.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IBytedanceReportService {
    JSONObject getAccountReport(String loginId);

    /**
     * 快手 大盘报表
     *
     * @param requestJson
     * @return
     */
    JSONObject getKuaiShouAccountReport(JSONObject requestJson);


    /**
     * 获取明细
     *
     * @param
     * @return
     */
    List<JSONObject> getKuaiShouAccounDetailtReport(JSONObject requestJson);


    /**
     * 明细列表
     *
     * @param requestJson
     * @return
     */
    List<JSONObject> getReportList(JSONObject requestJson);
}
